## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.14.0
%bcond check 1

%global git_commit fa9efb07d9d8debbb4306d72af76a383895aa8c4
%global k8s_major 1
%global k8s_minor 30

# https://github.com/helm/helm
%global goipath         helm.sh/helm/v3
%global forgeurl        https://github.com/helm/helm
Version:                3.15.4

%gometa -L -f

%global common_description %{expand:
Helm is a tool for managing Charts. Charts are packages of pre-configured
Kubernetes resources.

Use Helm to:
- Find and use popular software packaged as Helm Charts to run in Kubernetes
- Share your own applications as Helm Charts
- Create reproducible builds of your Kubernetes applications
- Intelligently manage your Kubernetes manifest files
- Manage releases of Helm packages.}

Name:           helm
Release:        %autorelease
Summary:        The Kubernetes Package Manager

# Generated by go-vendor-tools
License:        Apache-2.0 AND BSD-2-Clause AND BSD-2-Clause-Views AND BSD-3-Clause AND ISC AND MIT AND MPL-2.0 AND Zlib
URL:            %{gourl}
Source0:        %{gosource}
# Generated by go-vendor-tools
Source1:        %{archivename}-vendor.tar.bz2
Source2:        go-vendor-tools.toml

Obsoletes:      golang-helm-3 < 3.11.1-6
Obsoletes:      golang-helm-3-devel < 3.11.1-6

BuildRequires:  go-vendor-tools

%description %{common_description}

%prep
%goprep -A
%setup -q -T -D -a1 %{forgesetupargs}
%autopatch -p1

%generate_buildrequires
%go_vendor_license_buildrequires -c %{S:2}

%build
export LDFLAGS="-X helm.sh/helm/v3/internal/version.version=%{version} \
                -X helm.sh/helm/v3/internal/version.gitCommit=%{git_commit} \
                -X helm.sh/helm/v3/internal/version.gitTreeState=clean \
                -X helm.sh/helm/v3/pkg/lint/rules.k8sVersionMajor=%{k8s_major} \
                -X helm.sh/helm/v3/pkg/lint/rules.k8sVersionMinor=%{k8s_minor} \
                -X helm.sh/helm/v3/pkg/chartutil.k8sVersionMajor=%{k8s_major} \
                -X helm.sh/helm/v3/pkg/chartutil.k8sVersionMinor=%{k8s_minor}"
%gobuild -o %{gobuilddir}/bin/%{name} %{goipath}/cmd/%{name}

%{gobuilddir}/bin/%{name} completion bash > %{name}.bash
%{gobuilddir}/bin/%{name} completion fish > %{name}.fish
%{gobuilddir}/bin/%{name} completion zsh  > %{name}.zsh

%install
%go_vendor_license_install -c %{S:2}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
install -Dpm 0644 %{name}.bash %{buildroot}%{bash_completions_dir}/%{name}
install -Dpm 0644 %{name}.fish %{buildroot}%{fish_completions_dir}/%{name}.fish
install -Dpm 0644 %{name}.zsh  %{buildroot}%{zsh_completions_dir}/_%{name}


%check
%go_vendor_license_check -c %{S:2}
%if %{with check}
for test in "TestRenderWithDNS" "TestVCSInstallerNonExistentVersion" "TestVCSInstallerUpdate" \
            "TestVCSInstaller" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%gocheck
%endif

%files -f %{go_vendor_license_filelist}
%license vendor/modules.txt
%doc ADOPTERS.md CONTRIBUTING.md README.md SECURITY.md code-of-conduct.md
%{_bindir}/helm
%{bash_completions_dir}/%{name}
%{fish_completions_dir}/%{name}.fish
%{zsh_completions_dir}/_%{name}

%changelog
## START: Generated by rpmautospec
* Fri Aug 16 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 3.15.4-1
- Update to 3.15.4 - Closes rhbz#2305288

* Sat Jul 27 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 3.15.3-2
- Improve package description

* Sat Jul 27 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 3.15.3-1
- Initial package - Closes rhbz#2300201
## END: Generated by rpmautospec
